Summary:	MSN Library
Summary(pl.UTF-8):	Biblioteka MSN
Name:		libmsn
Version:	4.2.1
Release:	8
License:	GPL v2+
Group:		Libraries
Source0:	http://download.sourceforge.net/libmsn/%{name}-%{version}.tar.bz2
# Source0-md5:	38e46e589720eefd71f92b6b76993bf0
Patch0:		c++.patch
Patch1:		openssl.patch
Patch2:		%{name}-throw.patch
URL:		https://sourceforge.net/projects/libmsn/
BuildRequires:	cmake >= 2.6
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libmsn is a reusable, open-source, fully documented library for
connecting to Microsoft's MSN Messenger service.

%description -l pl.UTF-8
libmsn to mająca otwarte źródła, w pełni udokumentowana biblioteka do
łączenia się z usługą MSN Messenger Microsoftu.

%package devel
Summary:	Header files for MSN library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MSN
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MSN library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MSN.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/msntest
%attr(755,root,root) %{_libdir}/libmsn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmsn.so.0.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsn.so
%{_pkgconfigdir}/libmsn.pc
%{_includedir}/msn
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmsn.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0867a7e
- rebuild with openssl 3.0.0

* Wed Jul 28 2021 Jakub Bogusz <qboosh@pld-linux.org> af7bbe4
- added throw patch (remove dynamic throw specifiers, incompatible with C++>=17)
- updated cmake macros
- release 7

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 44360ae
- up to 4.2.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ab29fb5
- release 5 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f02f42a
- release 4 (by relup.sh)

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> cdb9fc4
- release 3 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> a3fe142
- x32 rebuild
- release 2 (by relup.sh)

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 79bf792
- up to 4.2.1

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> ba4bf73
- rel 2

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d42112
- up to 4.1

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e0f741
- release 2

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d80833
- up to 4.0 final

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> 6ba0767
- BR: openssl-devel

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> 3bbf712
- 4.0 beta4

* Sat Jan 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 5d8fded
- updated pl desc, dropped bogus R()

* Sat Jan 10 2009 Elan Ruusamäe <glen@pld-linux.org> d1c7be7
- longer english description

* Wed Jan 07 2009 shadzik <shadzik@pld-linux.org> 4bc8321
- beta2

* Wed Jan 07 2009 shadzik <shadzik@pld-linux.org> 60757fc
- deprecated

* Wed Nov 26 2008 shadzik <shadzik@pld-linux.org> 589cb1f
- init

* Wed Nov 26 2008 shadzik <shadzik@pld-linux.org> 297e9f8
- init

